import { cons } from 'hexlet-pairs';
import flow from '../flow';
import { randomInteger } from '../utils';

const description = 'Answer "yes" if number even otherwise answer "no".';

const isEven = num => !(num % 2);

const even = () => {
  const evenRules = () => {
    const task = randomInteger(1, 100);
    const solution = isEven(task) ? 'yes' : 'no';

    return cons(task, solution);
  };

  return flow(description, evenRules);
};

export default even;
